//
//  ADTPageSizeController.h
//  ADTPlugInKit
//
//  Created by Matheau Dakoske on 5/11/06.
//  Copyright 2006 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *ADTPageSizeList;
extern NSString *ADTPageSizeWidth;
extern NSString *ADTPageSizeHeight;
extern NSString *ADTPageSizeUnit;
extern NSString *ADTPageSizeActive;


@interface ADTPageSizeController : NSObject {
	BOOL				_notifiesWhenUpdated;
	NSDictionary		*_pageSizeDict;
}

//CLASS
+ (ADTPageSizeController *) sharedController;
+ (void) invalidateSharedController;

//ACCESSORS
- (BOOL) notifiesWhenDictionaryUpdated;
- (void) setNotifiesWhenDictionaryUpdated:(BOOL)notifies;

//ACCESSOR METHODS
- (void) invalidatePageSizeDictionary;
- (NSDictionary *) pageSizeDictionary;

//METHODS
- (NSArray *) pageSizeList;
- (NSString *) localizedStringForPageSize:(NSString *)pageSize;
- (NSDictionary *) dictionaryForPageSize:(NSString *)pageSize;

@end

