//
//  CLColorSlider.h
//  CLAppKit
//
//  Created by Matheau Dakoske on 7/24/04.
//  Copyright 2004 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CLColorSliderColor : NSObject {
    @private
    float       _location;
    NSColor     *_color;
}

//CLASS METHODS
+ (id) sliderColorWithLocation:(float)loc color:(NSColor *)col;

//OBJECT
- (id) initWithLocation:(float)loc color:(NSColor *)col;

//ACCESSORS

- (float) location;
- (void) setLocation:(float)loc;

- (NSColor *) color;
- (void) setColor:(NSColor *)col;

@end

@interface CLColorSlider : NSSlider {
    @private
    SEL         _deferredAction;
    NSArray     *_colors;
    NSImage     *_trackImage;
    BOOL        _isNil;
}

//ACCESSORS
- (NSArray *) colors;
- (void) setColors:     (NSArray *)cols delayDisplay:(BOOL)delay;
- (void) setColorsNow:  (NSArray *)cols;
- (void) setColors:     (NSArray *)cols;
- (void) setMinColor:   (NSColor *)minCol maxColor:(NSColor *)maxCol delayDisplay:(BOOL)delay;
- (void) setMinColor:   (NSColor *)minCol maxColor:(NSColor *)maxCol;

- (BOOL) isNil;
- (void) setNil:(BOOL)isNil;

- (SEL) deferredAction;
- (void) setDeferredAction:(SEL)defAct;

//METHODS
- (NSImage *) trackImage;
- (void) invalidateTrackImage;
- (void) updateTrackImageIfColorsAreCurrent:(NSArray *)colors;

@end
