/* CLPopUpTextField */

#import <Cocoa/Cocoa.h>

@class CLPopUpTextFieldCell;
@class CLPopUpTextField;

@interface CLPopUpTextFieldPopUpButtonCell : NSPopUpButtonCell
{
    CLPopUpTextFieldCell *textFieldCell;
}

//- (void) setIndicatorSize:(float)size;
- (float) indicatorSize;

- (CLPopUpTextFieldCell *) textFieldCell;
- (void) setTextFieldCell:(CLPopUpTextFieldCell *)cell;

@end

@interface CLPopUpTextFieldCell : NSTextFieldCell {
    CLPopUpTextFieldPopUpButtonCell   *popUpButtonCell;
    CLPopUpTextField    *textField;
}

- (CLPopUpTextFieldPopUpButtonCell *) popUpButtonCell;
- (void) setPopUpButtonCell:(CLPopUpTextFieldPopUpButtonCell *)popCell;

- (CLPopUpTextField *) textField;
- (void) setTextField:(CLPopUpTextField *)field;

@end

@interface CLPopUpTextFieldFormatter: NSFormatter
{
    CLPopUpTextFieldCell *textFieldCell;
    NSFormatter          *auxiliaryFormatter;
}

- (NSFormatter *) auxiliaryFormatter;
- (void) setAuxiliaryFormatter:(NSFormatter *)form;

- (CLPopUpTextFieldCell *) textFieldCell;
- (void) setTextFieldCell:(CLPopUpTextFieldCell *)fieldCell;

@end

@interface CLPopUpTextField : NSTextField
{
    int                 popUpCellLocation;
    BOOL                usesTypeahead;
    BOOL                allowsNonMemberText;
	BOOL				usesScrollWheel;
	BOOL				reversesYDelta;
}

//ACCESSORS
- (int) popUpLocation;
- (void) setPopUpLocation:(int)loc;

- (BOOL) usesTypeahead;
- (void) setUsesTypeahead:(BOOL)uses;

- (BOOL) usesScrollWheel;
- (void) setUsesScrollWheel:(BOOL)uses;

- (BOOL) reversesYDelta;
- (void) setReversesYDelta:(BOOL)reverses;

- (BOOL) allowsNonMemberText;
- (void) setAllowsNonMemberText:(BOOL)allows;

- (void) selectMemberAtIndex:(int)idx;

- (CLPopUpTextFieldPopUpButtonCell *) popUpButtonCell;

- (NSString *) memberAtIndex:(int)idx;

//HANDLER METHODS
- (BOOL) handleKeyDown:(NSEvent *)event;

@end
