//
//  CLScrollView.h
//  ADT4
//
//  Created by Matheau Dakoske on Sun Oct 12 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//
//  Modified to allow auto-hiding of scrollers 2004-02-18 by MD
//  Should be completely non-intrusive for previous implementations

#import <Cocoa/Cocoa.h>


@interface CLScrollView : NSScrollView {
    BOOL autoHidesScrollers;
    BOOL allowsHorizontalScroller;
    BOOL allowsVerticalScroller;
}

- (void) setAutoHidesScrollers:(BOOL)aBool;
- (BOOL) autoHidesScrollers;

- (void) setAllowsHorizontalScroller:(BOOL)aBool;
- (BOOL) allowsHorizontalScroller;

- (void) setAllowsVerticalScroller:(BOOL)aBool;
- (BOOL) allowsVerticalScroller;

@end

#define CLPlacardScrollViewAlignPlacardLeft     0
#define CLPlacardScrollViewAlignPlacardRight    1

@interface CLPlacardScrollView : CLScrollView {
    IBOutlet NSView *placardView;
    int     placardAlignment;
}

- (void) setPlacardView:(NSView *)aView;
- (NSView *) placardView;

- (void) setPlacardAlignment:(int)pa;
- (int) placardAlignment;

@end
