//
//  CLUnitConversion.h
//  ADT4
//
//  Created by Matheau Dakoske on Thu May 03 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define CLUCInchUnit	0
#define CLUCCMUnit		1
#define CLUCMMUnit		2
#define CLUCPointUnit	3
#define CLUCPicaUnit	4
#define CLUCPixelUnit	5
#define CLUCEliteUnit   6

#define CLUCInchesToPointsFactor	72.0
#define CLUCCMToPointsFactor		(72.0 / 2.54)
#define CLUCMMToPointsFactor		(72.0 / 25.4)
#define CLUCPointsToPointsFactor	1.0
#define CLUCPicasToPointsFactor		(72.0 / 6.0)
#define CLUCPixelsToPointsFactor	1.0
#define CLUCElitesToPointsFactor	(72 / 10.0)

extern NSArray* CLUCListOfUnits(void);
extern void CLUCPopulatePopUpButtonWithListOfUnits(NSPopUpButton *butt);

extern float CLUCUnitToPointsFactor(int aUOM);

extern float CLUCPointsToInches(float points);
extern float CLUCInchesToPoints(float inches);

extern float CLUCPointsToCentimeters(float points);
extern float CLUCCentimetersToPoints(float centimeters);

extern float CLUCPointsToMillimeters(float points);
extern float CLUCMillimetersToPoints(float millimeters);

extern float CLUCPointsToPixels(float points);
extern float CLUCPixelsToPoints(float pixels);

extern float CLUCPointsToPicas(float points);
extern float CLUCPicasToPoints(float picas);

extern float CLUCPicaStringToPoints(NSString *picaString);
extern NSString* CLUCPointsToPicaString(float points);

extern float CLUCPicaStringToPicas(NSString *picaString);
extern NSString* CLUCPicasToPicaString(float picas);

extern NSString *CLUCUnitAbbrev(int uom);
extern NSString *CLUCAppendStringWithUnitAbbrev(NSString *string, int uom);
extern NSString *CLUCUnitString(int uom, BOOL plural);