//
//  CLUnitTextField.h
//  ADT4
//
//  Created by Matheau Dakoske on Mon Aug 25 2003.
//  Copyright (c) 2003 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface CLUnitNumberFormatter : NSNumberFormatter {
    int		unitOfMeasure;
    BOOL	displaysUnitAbbrev;
    BOOL	displaysFullPica;
}

- (int) unitOfMeasure;
- (void) setUnitOfMeasure:(int)aUOM;

- (BOOL) displaysUnitAbbrev;
- (void) setDisplaysUnitAbbrev:(BOOL)display;

- (BOOL) displaysFullPica;
- (void) setDisplaysFullPica:(BOOL)display;
@end

@interface CLUnitTextField : NSTextField {
    int		unitOfMeasure;
    BOOL	displaysUnitAbbrev;
    BOOL	displaysFullPica;
}

- (int) unitOfMeasure;
- (void) setUnitOfMeasure:(int)aUOM;

- (BOOL) displaysUnitAbbrev;
- (void) setDisplaysUnitAbbrev:(BOOL)display;

- (BOOL) displaysFullPica;
- (void) setDisplaysFullPica:(BOOL)display;

- (void) setValue:(float)aValue asUnit:(int)aUOM;
- (float) valueAsUnit:(int)aUOM;

- (void) setValue:(float)aValue;
- (float) value;

- (void) setInchesValue:(float)aValue;
- (float) inchesValue;

- (void) setCentimetersValue:(float)aValue;
- (float) centimetersValue;

- (void) setMillimetersValue:(float)aValue;
- (float) millimetersValue;

- (void) setPointsValue:(float)aValue;
- (float) pointsValue;

- (void) setPicasValue:(float)aValue;
- (float) picasValue;

- (void) setPixelsValue:(float)aValue;
- (float) pixelsValue;
@end