//
//  NSColor-CLAppKitExtensions.h
//  CLAppKit
//
//  Created by Matheau Dakoske on Wed Mar 17 2004.
//  Copyright (c) 2004 Code Line Communications. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern NSString *CLGenericRGBColorSpace;
extern NSString *CLGenericCMYKColorSpace;
extern NSString *CLGenericWhiteColorSpace;
extern NSString *CLGenericBlackColorSpace;

@interface NSColor (CLAppKitExtensions)

+ (NSColor *) colorWithArchivedData:(NSData *)data;
- (NSData *) archivedData;
+ (NSColor *) nilColor; //This is helpful when needing to store nil colors in arrays

- (NSColor *) colorUsingGenericColorSpaceName:(NSString *)str;

+ (NSColor *) colorWithHexString:(NSString *)hexString;
- (NSString *) hexStringWithHashMark:(BOOL)addHexMark upperCase:(BOOL)upperCase;
- (NSString *) hexString; //Defaults to [self hexStringWithHashMark:YES upperCase:YES]

@end
